﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;


namespace SimpleSample
{
    public class Class1 : ContentPage
    {
        SfChart chart = new SfChart();
        public static List<ChartDataPoint> points = new List<ChartDataPoint>();
       

        public Class1()
        {

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();
            ColumnSeries series = new ColumnSeries();

            series.XBindingPath = "Month";
            series.YBindingPath = "Value";
          

            Binding binding = new Binding();
            binding.Source = new ViewModel();
            binding.Path = "Data";
            
            series.SetBinding(ChartSeries.ItemsSourceProperty, binding);

            chart.Series.Add(series);
            Content = chart;
        }
    }


    public class ViewModel
    {
        public List<Model> Data { get; set; }

        public ViewModel()
        {
            Data = new List<Model>() { new Model("Jan", 10),
            new Model("Feb", 20),
            new Model("Mar", 30),
            new Model("Apr", 40),
            new Model("May", 50), };
        }
    }

    public class Model
    {
        public String Month { get; set; }
        public double Value { get; set; }

        public Model(String month, double value)
        {
            Month = month;
            Value = value;
        }
    }
}
